package com.ruoyi.zdsz.mapper;

import com.ruoyi.zdsz.domain.ZArea;
import com.ruoyi.zdsz.domain.bo.ZAreaBo;
import com.ruoyi.zdsz.domain.vo.GExportsVo;
import com.ruoyi.zdsz.domain.vo.GImportVo;
import com.ruoyi.zdsz.domain.vo.ZAreaVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 小区管理Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface ZAreaMapper extends BaseMapperPlus<ZAreaMapper, ZArea, ZAreaVo> {
    List<ZAreaVo> getArea(String district);

    String getDictNameOfAffiliatedPackage(ZAreaBo bo);
    List<GExportsVo> getExport(ZAreaBo bo);
    List<GImportVo> selectGExportsList(ZAreaBo bo);

    //导入 查询是否已存在
    ZArea getByName(String name);
}
